# xoxys.pam

[![Build Status](https://ci.rknet.org/api/badges/ansible/xoxys.pam/status.svg)](https://ci.rknet.org/repos/ansible/xoxys.pam)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.pam/src/branch/main/LICENSE)

Configure pam stack.

## Table of content

- [Requirements](#requirements)
- [Default Variables](#default-variables)
  - [pam_settings](#pam_settings)
  - [pam_settings_extra](#pam_settings_extra)
- [Dependencies](#dependencies)
- [License](#license)
- [Author](#author)

---

## Requirements

- Minimum Ansible version: `2.10`

## Default Variables

### pam_settings

#### Default value

```YAML
pam_settings:
  - type: auth
    control: sufficient
    module_arguments:
      - try_first_pass
  - type: password
    control: sufficient
    module_arguments:
      - sha512
      - shadow
      - try_first_pass
      - use_authtok
```

### pam_settings_extra

#### Default value

```YAML
pam_settings_extra: []
```

## Dependencies

None.

## License

MIT

## Author

[Robert Kaussow](https://gitea.rknet.org/xoxys)
